from django import forms

from .models import validate_ula_prefix, ULA

class ULAForm(forms.ModelForm):
    class Meta:
        model = ULA
        fields = [ 'prefix', 'name', 'organization', 'website' ]

    def clean_prefix(self):
        prefix = self.cleaned_data['prefix']
        validate_ula_prefix(prefix)

        return prefix

class ULAGenerateForm(forms.ModelForm):
    class Meta:
        model = ULA
        fields = [ 'name', 'organization', 'website' ]
