import ipaddress
import random

def random_ula_net():
    """

    Use fd00::/8 as a basis
    We have 40 bit of address space to then generate /48 networks
    We generate a random integer between 0 and (2**40)-1
    We then shift that number by 80 bits to fit into the correct position

    Example:

    >>> ula_net = ipaddress.IPv6Network("fd00::/8")
    >>> ula_net[(2**40)-1 << 80]
    IPv6Address('fdff:ffff:ffff::')
    >>>

    """
    ula_net = ipaddress.IPv6Network("fd00::/8")
    random_number = random.randrange(0, 2**40)
    network = ula_net[random_number << 80]

    return network
